lkml.org 
[lkml]   [2010]   [Mar]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [git pull] drm request 3
On Thu, Mar 04, 2010 at 04:41:19PM -0800, Linus Torvalds wrote:
>
>
> > The F13 packages *will* work, so long as you're not bisecting back and
> > forth.
>
> How do I install just the F13 libdrm thing, without changing everything
> else? I'm willing to try. We can make it part of the 2.6.34 release notes.
>
> And if we end up having people bisecting back and forth, I will hate that
> f*cking nouveau driver even more.
>
> Linus

libdrm is composed of the main libdrm, and several driver specific
libdrms today (... and libkms, yes).

While the main libdrm is relatively stable, the library specific ones
move all the time, and there is only one version that is being tracked,
and that is being bumped all the time. The most recent one:

http://cgit.freedesktop.org/mesa/drm/commit/?id=b5495527

Only drivers depend on the driver specific libdrms.

The xserver is compatible all the way to libdrm 2.3.0, which was tagged
august 2006. xf86-video- drivers might depend on newer driver specific
libdrms.

And when the mesa tree is taken apart, when drivers are taken out of it,
you'll find that its real dependency is also 2.3.0. It's the mesa
drivers that are responsible for the main mesa dependency on libdrm
2.4.15.

Luc Verhaegen.


\
 
 \ /
  Last update: 2010-03-05 01:59    [W:0.213 / U:0.828 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site